extends Label

func _process(delta: float) -> void:
	text = "Process:\n\nTime scale: %.2f\nFPS: %d\nDelta: %.4f\nUnscaled delta: %.4f" % [Engine.time_scale, Engine.get_frames_per_second(), delta, Engine.get_process_step()]

func _input(event: InputEvent) -> void:
	if event.is_action_pressed("increase_time_scale"):
		Engine.time_scale += 0.1
	if event.is_action_pressed("decrease_time_scale"):
		Engine.time_scale -= 0.1
